Bug 1418859 - Show log messages "failed only" incorrect produces messages with "pass" result
Summary: Show log messages "failed only" incorrect produces messages with "pass" result
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: SCAP Plugin
Version: 6.2.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: 6.4.0
Assignee: Ondřej Pražák
QA Contact: Ales Dujicek
URL:
Whiteboard:
: 1461100 1493449 1502825 1527217 1655734 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 22:25 UTC by Curtis Rempel
Modified: 2021-06-10 11:53 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:18:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
filter result (141.98 KB, image/png)
2017-06-21 06:37 UTC, Ondřej Pražák
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18741 0 None None None 2017-03-01 10:32:34 UTC
Foreman Issue Tracker 20529 0 None None None 2018-04-10 15:55:59 UTC

Description Curtis Rempel 2017-02-02 22:25:32 UTC
Description of problem:

An SCAP compliance report shows zero failed events for a particular host.  When viewing that host only and filtering in the "Show log messages:" drop down box for "Failed only", two results are shown both with a "pass" in the Result column.

Version-Release number of selected component (if applicable):


How reproducible:

Use the "Failed only" events filter for a specific host with zero failed events.
  

Steps to Reproduce:
1.  Run an SCAP compliance report and select a host with zero failed events.  
2.  Examine this host specifically and filter for "Failed only" events.

Actual results:

Events with "pass" result are shown.

Expected results:

No events should be shown.

Additional info:

Comment 2 Ondřej Pražák 2017-03-01 10:32:31 UTC
Created redmine issue http://projects.theforeman.org/issues/18741 from this bug

Comment 4 Marek Hulan 2017-06-16 14:23:56 UTC
*** Bug 1461100 has been marked as a duplicate of this bug. ***

Comment 5 Marek Hulan 2017-06-19 15:34:39 UTC
I'm unable to reproduce upstream, were you successful in doing so?

Comment 6 Ondřej Pražák 2017-06-21 06:37:36 UTC
Created attachment 1289942 [details]
filter result

I was able to reproduce upstream, I think this is still a valid bug.

Comment 7 pm-sat@redhat.com 2017-06-29 14:12:16 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 8 pm-sat@redhat.com 2017-06-29 14:12:20 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 9 pm-sat@redhat.com 2017-08-25 14:12:09 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18741 has been resolved.

Comment 10 Hao Chang Yu 2017-09-20 08:51:28 UTC
*** Bug 1493449 has been marked as a duplicate of this bug. ***

Comment 15 Marek Hulan 2017-10-17 05:48:58 UTC
*** Bug 1502825 has been marked as a duplicate of this bug. ***

Comment 18 Marek Hulan 2017-12-19 15:22:56 UTC
*** Bug 1527217 has been marked as a duplicate of this bug. ***

Comment 28 Bryan Kearney 2018-10-16 19:18:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927

Comment 29 Ondřej Pražák 2018-12-04 07:26:17 UTC
*** Bug 1655734 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.